/*
 * ============================================================================
 * Licensed Materials - Property of IBM
 *  WebSphere sMash
 *
 * (C) Copyright IBM Corp. 2007,2008  All Rights Reserved.
 *
 * US Government Users Restricted Rights - Use, duplication or disclosure
 * restricted by GSA ADP Schedule Contract with IBM Corp.
 * ============================================================================
 */
        /* Copyright (c) 2007 by IBM Corporation */

if(!dojo._hasResource["zero.ide.widget.appmgr.AdminPageBanner"]){
dojo._hasResource["zero.ide.widget.appmgr.AdminPageBanner"] = true;
dojo.provide("zero.ide.widget.appmgr.AdminPageBanner");
dojo.requireLocalization("zero.ide.widget.appmgr", "AdminPageBannerNls");

dojo.require('dijit.Toolbar');
dojo.require('dijit.form.Button');
dojo.require('dijit.layout.ContentPane');
dojo.require('dijit._Templated');
dojo.require('dijit._Widget');

dojo.declare("zero.ide.widget.appmgr.AdminPageBanner",
             [dijit._Widget, dijit._Templated],
{
    widgetsInTemplate: true,
//    templatePath: dojo.moduleUrl("freedom","widget/common/environment/templates/page-banner.html"),
    templatePath: dojo.moduleUrl("zero","ide/widget/appmgr/templates/AdminPageBanner.html"),
   
    welcome: null,
    application: 'sMash Admin',
    contextMenu: "",
	restoringState: false,
    
    setWelcome: function(newWelcome)
    {
        this.welcome = newWelcome;
        this.logo.innerHTML = newWelcome;
    },
    
    clearToolbar: function()
    {
//djb[03/26/2008]        var children = this.mainToolbar.getChildren();
//djb[03/26/2008]        for (var i=children.length-1  ;  i >=0  ;  i--)
//djb[03/26/2008]        {
//djb[03/26/2008]            this.mainToolbar.removeChild(children[i]);
//djb[03/26/2008]        }
//        var backchildren = this.backToolbar.getChildren();
/*        for (var i=backchildren.length-1  ;  i >=0  ;  i--)
        {
            //this.backToolbar.removeChild(backchildren[i]);
			backchildren[i].style.display = 'none';
        }
*/
    },
    
    addToToolbar: function(pWidget)
    {
//djb[03/26/2008]        this.mainToolbar.domNode.style.display = 'block';
//djb[03/26/2008]        this.mainToolbar.addChild(pWidget);
    },

    // ELC changed this to fix problems with disabled for refresh and Back to My apps buttons...
    backToolbarShowManager: function(pManagerOrEditor)
    {
		//if(zlog.isDebug())console.debug("in backToolbarShowManager ")
		//if(zlog.isDebug())console.debug(this.backToolbar)
//        this.backToolbar.domNode.style.display = 'block';
//		if (this.backToolbar.getChildren().length < 1) {
//              this.backToolbar.addChild(dijit.byId('refreshButton'));
  //            this.backToolbar.addChild(dijit.byId('backToAppsButton'));
//		}
//        dijit.byId('refreshButton').domNode.style.display = pManagerOrEditor ?
//                                                                    'block' : 'none';
        //dijit.byId('backToAppsButton').domNode.style.display = pManagerOrEditor ?
		//                                                            'none' : 'block';
    },

/*    addToBackToolbar: function(pWidget)
    {
        this.backToolbar.domNode.style.display = 'block';
		if (this.backToolbar.getChildren().length < 2) {
            this.backToolbar.addChild(pWidget);
		}

    },
*/
    
    postMixInProperties: function()
    {
        zero.ide.widget.appmgr.AdminPageBanner.superclass.postMixInProperties.apply(this, arguments);

		this.messages = dojo.i18n.getLocalization("zero.ide.widget.appmgr", "AdminPageBannerNls", this.lang);

        if (null === this.welcome)
        {
            //this.welcome = 'Welcome to ' + this.application;
			this.welcome = this.application;
        }
        
//        var sessionValue = null;
//        var cookies = document.cookie.split(';');
//        for (var i=0  ;  i < cookies.length  ;  i++)
//        {
//            var tokens = cookies[i].split('=');
//            var j;
//            for (j=0  ;  j < tokens[0].length  &&  tokens[0].charAt(j) === ' '  ;  j++){
//                ;
//			}
//            if (tokens[0].substr(j) == "FREEDOM_SESSION")
//            {
//                sessionValue = unescape(tokens[1]);
//                break;
//            }
//        }
//        if (null !== sessionValue)
//        {
//            var parts = sessionValue.split('/');
//            this.userName =  parts[0];
//        }
    },
    
    startup: function()
    {
        zero.ide.widget.appmgr.AdminPageBanner.superclass.startup.apply(this, arguments);               
        
        if ("" !== this.contextMenu)
        {
            dijit.byId(this.contextMenu).bindDomNode(this.domNode);
        }
//        var toolbarItems = dojo.query("> [widgetId]", this.containerNode).map(dijit.byNode);
//        if (0 == toolbarItems.length)
//        {
//djb[03/26/2008]            this.mainToolbar.domNode.style.display = 'none';
//            this.backToolbar.domNode.style.display = 'none';

//        }
    },
    
    onHelp: function()
    {
        if (this.help !==null)
        {
            this.help();
        }
    },
    

    showMyRepository: function()
    {
		if(zlog.isDebug())console.debug(" in showMyRepository ");
		if (!this.restoringState) {
	      dojo.back.addToHistory(new HistoryTracker('RepoManager', null, null, null, null));
		}
		var appmgr = dijit.byId("app-mgr-ui-id");
		if(zlog.isDebug())console.debug(appmgr);
  	    dojo.removeClass(this.myappslinkLI, "lotusSelected");
        dojo.addClass(this.myrepolinkLI, "lotusSelected");
		appmgr.showMyRepository();

    },	

    showMyApps: function(restoringState)
    {
		if(zlog.isDebug())console.debug(" in showMyApps");
		if (!this.restoringState) {
           dojo.back.addToHistory(new HistoryTracker('AppManager', null, null, null, null));
        }
		var appmgr = dijit.byId("app-mgr-ui-id");
		if(zlog.isDebug())console.debug(appmgr);
 	    dojo.removeClass(this.myrepolinkLI, "lotusSelected");
        dojo.addClass(this.myappslinkLI, "lotusSelected");
		appmgr.showMyApps();
		appmgr.refresh();

    },	
	
    
    // Dojo Event stubbs
    help: null,
    
    // Dojo attach Points
    logo: null,
//djb[03/26/2008]    mainToolbar: null,
    backToolbar: null,
    separator: null
}
);
}